Paycose Docs
Customer
GET/customers/{customer_id}/balance_transactions

List Customer Balance Transactions

Responses: 200

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/customers/{{customer_id}}/balance_transactions?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[amount]=&filter[balance_id]=&filter[created_at]=&filter[currency]=&filter[id]=&filter[original_amount]=&filter[original_currency]=&filter[record_only]=&filter[running_balance]=&filter[source]=&filter[state]=&filter[type]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}'

Headers

NameValue
X-Session-Token{{session_token}}
X-Country{{country}}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "amount": 0,
      "currency": "<string>",
      "scaling_factor": 0,
      "state": "<string>",
      "description": "<string>",
      "original_amount": 0,
      "original_currency": "<string>",
      "exchange_rate": 0.0,
      "balance_id": "<string>",
      "account": "<string>",
      "event_type": "<string>",
      "event_id": "<string>",
      "parent_event_type": "<string>",
      "parent_event_id": "<string>",
      "transfer_id": "<string>",
      "journal_id": "<string>",
      "category": "<string>",
      "forex_quote_id": "<string>",
      "available_on": "<RFC3339 timestamp>",
      "type": "<string>",
      "source": "<string>",
      "fee": 0,
      "fee_details": [
        {
          "type": "<string>",
          "amount": 0,
          "currency": "<string>",
          "application": "<string>"
        }
      ],
      "net": 0,
      "gross_amount": 0,
      "reporting_category": "<string>",
      "plane": "<string>",
      "record_only": false,
      "balance": {
        "id": "<string>",
        "object": "<string>",
        "livemode": false,
        "created_at": null,
        "updated_at": null,
        "customer_id": "<string>",
        "account": "<string>",
        "currency": "<string>",
        "name": "<string>",
        "available": 0,
        "hold": 0,
        "scaling_factor": 0,
        "description": "<string>",
        "customer": {
          "id": "<string>",
          "object": "<string>",
          "livemode": false,
          "created_at": null,
          "updated_at": null,
          "name": "<string>",
          "email": "<string>",
          "phone": "<string>",
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "postal_code": "<string>",
            "state": "<string>"
          },
          "shipping": {
            "name": "<string>",
            "phone": "<string>",
            "address": {
              "city": "<string>",
              "country": "<string>",
              "line1": "<string>",
              "line2": "<string>",
              "postal_code": "<string>",
              "state": "<string>"
            }
          },
          "is_system": false,
          "is_application_customer": false,
          "capabilities": {
            "charge": false,
            "transfer": false,
            "payout": false
          },
          "tax_ids": [
            {
              "type": "<string>",
              "value": "<string>",
              "country": "<string>",
              "verification_status": "<string>"
            }
          ],
          "metadata": {},
          "labels": "<core.Labels>",
          "invoice_settings": {},
          "tax_exempt": "<string>",
          "preferred_locales": [
            "<string>"
          ],
          "business_name": "<string>",
          "currency": "<string>"
        }
      },
      "transfer": null
    }
  ],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}

On this page